aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-net-dns
diff options
context:
space:
mode:
authorLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
committerLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
commit940c7f4aa5ec6342fc80d71ad1a1f2a399e027b8 (patch)
tree9bebbc884a1440f7b8a49390757c006d700d1104 /testing/perl-net-dns
parentd95fabe56bc328e4f96fd8e70b816670cdabb58a (diff)
downloadaports-940c7f4aa5ec6342fc80d71ad1a1f2a399e027b8.tar.gz
aports-940c7f4aa5ec6342fc80d71ad1a1f2a399e027b8.tar.bz2
aports-940c7f4aa5ec6342fc80d71ad1a1f2a399e027b8.tar.xz
testing/perl-net-dns: new aport
Diffstat (limited to 'testing/perl-net-dns')
-rw-r--r--testing/perl-net-dns/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/testing/perl-net-dns/APKBUILD b/testing/perl-net-dns/APKBUILD
new file mode 100644
index 0000000000..e40b87a141
--- /dev/null
+++ b/testing/perl-net-dns/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=perl-net-dns
+_realname=Net-DNS
+pkgver=0.65
+pkgrel=0
+pkgdesc="Perl interface to the DNS resolver"
+url="http://search.cpan.org/dist/Archive-Zip/"
+license="unknown"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/O/OL/OLAF/$_realname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$_realname-$pkgver"
+
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+ # creates file collision among perl modules
+ rm $pkgdir/usr/lib/perl5/5.10.0/x86_64-linux/perllocal.pod
+}
+
+md5sums="54e5a12a20de39b954a93723927ac789 Net-DNS-0.65.tar.gz"